# Class BitMask

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.BitMask

public class BitMask extends Component

## Field Summary

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`BitMask(byte[] bytes)`

## Method Summary

Modifier and Type
Method
Description
`final int[]`
`getBitNumbers()`
`int`
`getSize()`
`boolean`
`isSet(int index)`
`String`
`toString()`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BitMask

public BitMask(byte[] bytes)

## Method Details

### getSize

public int getSize()

### isSet

public boolean isSet(int index)

### getBitNumbers

public final int[] getBitNumbers()

### toString

public String toString()

Overrides:
  `toString` in class `Object`